Robotsystem from Robot Group Leipzig: PassiveSphere Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# PassiveSphere Class Reference

`#include <passivesphere.h>`

Inheritance diagram for PassiveSphere:

[legend]
Collaboration diagram for PassiveSphere:

[legend]
List of all members.

## Detailed Description

(Passive) sphere as obstacle

Examples:

  main.cpp.

Definition at line 77 of file passivesphere.h.

## Public Member Functions
| PassiveSphere (const OdeHandle &odeHandle, const OsgHandle &osgHandle, double radius=0.3, double mass=1.0)
| Constructor.
| ~PassiveSphere ()
virtual void | update ()
| update position of sphere
virtual void | setTexture (const std::string &filename)
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()
| gives actual pose of the obstacle
## Protected Member Functions
virtual void | create ()
virtual void | destroy ()

## Constructor & Destructor Documentation

PassiveSphere | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | double | radius = `0.3`,
|  | double | mass = `1.0`
| ) | `[inline]`

| Constructor. Definition at line 95 of file passivesphere.h.

~PassiveSphere | ( |  | ) | `[inline]`

| Definition at line 101 of file passivesphere.h.

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 129 of file passivesphere.h.

virtual void destroy | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 139 of file passivesphere.h.

virtual osg::Matrix getPose | ( |  | ) | `[inline, virtual]`

| gives actual pose of the obstacle Implements AbstractObstacle. Definition at line 124 of file passivesphere.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implements AbstractObstacle. Definition at line 116 of file passivesphere.h.

virtual void setTexture | ( | const std::string & | filename | ) | `[inline, virtual]`

| Examples: main.cpp. Definition at line 112 of file passivesphere.h.

virtual void update | ( |  | ) | `[inline, virtual]`

| update position of sphere Implements AbstractObstacle. Definition at line 108 of file passivesphere.h.